Name:           python-db-contrib-tool
Version:        1.1.1
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        The `db-contrib-tool` - MongoDB's tool for contributors.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/10gen/db-contrib-tool
Source:         %{pypi_source db_contrib_tool}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'db-contrib-tool' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-db-contrib-tool
Summary:        %{summary}

%description -n python3-db-contrib-tool %_description


%prep
%autosetup -p1 -n db_contrib_tool-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-db-contrib-tool -f %{pyproject_files}


%changelog
%autochangelog